| Home | Libraries | People | FAQ | More

###### ssl_stream::handshake (1 of 4 overloads)

Perform SSL handshaking.

###### Synopsis

    void
    handshake(
        handshake_type type);

###### Description

This function is used to perform SSL handshaking on the stream. The function call will block until handshaking is complete or an error occurs.

###### Parameters

Name | Description
--- | ---
`type` | The type of handshaking to be performed, i.e. as a client or as a server.

###### Exceptions

Type | Thrown On
--- | ---
`boost::system::system_error` | Thrown on failure.